# Class CashAtAtmAccountPayload

#### Hierarchy

- unknown
  - CashAtAtmAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4929
- Defined in src/protobuf/pb_pb.d.ts:4941

#####
Index

### Constructors

constructor

### Methods

getExtraInfo
serializeBinary
setExtraInfo
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CashAtAtmAccountPayload(): CashAtAtmAccountPayload

- #### Returns CashAtAtmAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getExtraInfo

- getExtraInfo(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4930

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4933

### setExtraInfo

- setExtraInfo(value: string): CashAtAtmAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashAtAtmAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4931

### toObject

- toObject(includeInstance?: boolean): CashAtAtmAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CashAtAtmAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4934

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CashAtAtmAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CashAtAtmAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4937

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CashAtAtmAccountPayload, reader: BinaryReader): CashAtAtmAccountPayload

- #### Parameters

  - ##### message: CashAtAtmAccountPayload

  - ##### reader: BinaryReader

  #### Returns CashAtAtmAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4938

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CashAtAtmAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CashAtAtmAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4936

### `Static` toObject

- toObject(includeInstance: boolean, msg: CashAtAtmAccountPayload): CashAtAtmAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CashAtAtmAccountPayload

  #### Returns CashAtAtmAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4935

Generated using TypeDoc